Draft Dimension

From FreeCAD Documentation
Revision as of 21:09, 22 November 2016 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Dimension

Ubicación en el Menú
Croquis -> Cotas
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
D I
Introducido en versión
-
Ver también
FlipDimension

Descripción

La herramienta cotas crea una cota en el documento actual con dos puntos definiendo la distancia a medir, y un tercer punto especificando por donde pasa la línea de cota.

Utilización

  1. Presiona el botón cota, o presiona las teclas D y I
  2. Designa un punto en la vista 3D, o escribe unas coordenadas
  3. Designa un segundo punto en la vista 3D, o escribe unas coordenadas
  4. Designa un tercer punto en la vista 3D, o escribe unas coordenadas

Tipos de cotas disponibles

  • Cotas lineales: seleccionando dos puntos o un segmento recto con la tecla ALT presionada.
  • Cotas Horizontales/verticales: presionando SHIFT después de seleccionar el primer punto.
  • Cota de Diámetro: seleccionando un segmento curvo con la tecla ALT presionada.
  • Cota de Radio: seleccionando un segmento curvo con la tecla ALT presionada, y pulsando después SHIFT.
  • Cotas Angulares: seleccionando dos segmentos rectos con la tecla ALT presionada.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • If an edge is selected before starting the Dimension command, the created dimension will also be parametric.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • DatosStart: The start point of the distance to measure
  • DatosEnd: The end point of the distance to measure
  • DatosDimline: A point through which the dimension line must pass
  • VistaDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VistaFont Size: The size of the letters
  • VistaExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VistaText Position: Can be used to force the text to be displayed at a certain position
  • VistaText Spacing: Specifies the space between the text and the dimension line
  • VistaOverride: Specifies a text to display instead of the measurement. Insert "$dim", inside that text, to display the measurement value
  • VistaFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VistaArrow Type: The type of arrow to use
  • VistaArrow Size: The size of the arrows
  • VistaDecimals: The number of decimal places to display on the dimension
  • VistaFlip Arrows: Reverse the orientation of arrows
  • VistaUnit Override: Expresses the distance in the given unit (leave blank to use the system unit) introduced in version 0.17

Archivos de guión

La herramienta cotas se puede utilizar en macros y desde la consola de Python utilizando la siguientes funciones:

makeDimension (p1,p2,[p3])

or

makeDimension (object,i1,i2,p3)

or

makeDimension (objlist,indices,p3)

Crea un objeto cota con la línea de cota pasando por p3. Utilizará el espesor de línea y color actuales de Boceto. Existen varias formas de crear una cota, dependiendo de los argumentos que les pases: (p1,p2,p3): crea una cota estándar desde p1 hasta p2. (object,i1,i2,p3): crea una cota vinculada a los objetos dados, midiendo la distancia entre sus vértices indexados i1 e i2. (object,i1,mode,p3): crea una cota vinculada al objeto actual, i1 es el índice de la arista (curvada) a medir, y mode es tanto el "radio" como el "diámetro". Devuelve el objeto recién creado.

makeAngularDimension (center,[angle1,angle2],p3)

crea una cota angular desde el centro indicado, con la lista dada de ángulos, pasando por p3. Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3)

Links